package eu.oskar3123.spigot2fa.config;

import java.util.UUID;

public interface PlayersConfiguration
{

    class PlayersData
    {

        private UUID uuid;
        private String secret;
        private String lastIp;
        private long lastLogin;

        public PlayersData(UUID uuid, String secret, String lastIp, long lastLogin)
        {
            this.uuid = uuid;
            this.secret = secret;
            this.lastIp = lastIp;
            this.lastLogin = lastLogin;
        }

        public UUID getUUID()
        {
            return uuid;
        }

        public String getSecret()
        {
            return secret;
        }

        public String getLastIP()
        {
            return lastIp;
        }

        public long getLastLogin()
        {
            return lastLogin;
        }

    }

    boolean hasData(UUID uuid);

    PlayersData getData(UUID uuid);

    boolean setData(UUID uuid, PlayersData data);

}
